Aptitude is a quite powerful package manager leveraging CLI and an ncurses-style interface.

learn more… | top users | synonyms

1
vote
1answer
174 views

Compiled package and dependency management

I have a package that depends on squid 3.2. I want to replace squid 3.2 with source compiled version of squid 3.3 beta (which is not available in repository). When I remove squid 3.2, the depending ...
0
votes
1answer
93 views

Wine has dependency issues [duplicate]

Okay, I like to use Aptitude for most of my program installation, due to its exceptional handling of dependencies (it's very diligent about removing unused libraries.) Unfortunately, it appears not ...
2
votes
0answers
201 views

configure says I don't have lib, but aptitude says I do

I've just run a configure script which alerts me: checking for gcry_control in -lgcrypt... no configure: error: libgcrypt not found. Install libgcrypt or use --disable-libgcrypt. Have a nice day. ...
1
vote
1answer
454 views

What is aptitude's extended state information

I have both apt-get and aptitude installed on my system. When I am performing any operation using aptitude, I see Reading extended state information and Writing extended state information. These ...
1
vote
0answers
38 views

How would I see a list of current packages and compare them to the ones being upgraded?

I'm running 12.10 on a server and I have a list of packages that need to be upgraded. However I can run the command sudo aptitude to see what they are and what their about which is fine. My question ...
0
votes
2answers
949 views

problem with update

when I try to update and type: sudo apt-get update I get this error E: Problem executing scripts APT::Update::Post-Invoke-Success 'test -x /usr/bin/apt-show-versions || exit 0 ; apt-show-versions ...
1
vote
1answer
350 views

I Can't Install or Remove Any Application

when i try to install or remove an application via either software center or apt-get install they both fail and give some debconf errors below is the log please help.Sorry some of the text is not ...
0
votes
1answer
2k views

Ubuntu 12.04.1 Server error on apt-get update? [closed]

I get errors when using sudo apt-get update or installing packages. Err http://ca.archive.ubuntu.com precise InRelease Err http://security.ubuntu.com precise-security InRelease Err ...
3
votes
1answer
561 views

How to list installed packages in apt that are not backed by a repository?

I suppose you could build a list of all packages that would be installed if you started with an empty apt database and installed everything that deborphan -a currently tells you. Then compare that ...
0
votes
1answer
615 views

sudo aptitude full-upgrade = 420 conflicts

I think the following will explain my concern for not wanting to choose Y. oshirowanen@desktop:~$ sudo aptitude full-upgrade The following NEW packages will be installed: libavcodec53{a} ...
9
votes
2answers
11k views

I can't add PPA repository behind the proxy

I'm trying to add the ppa repository (as a root) with the following command: export HTTP_PROXY="http://firstname.surname@xxx.com:my_pass@165.x.x.232:8080" add-apt-repository ppa:nilarimogard/webupd8 ...
1
vote
1answer
3k views

Package dbus is not configured yet

While attempting to upgrade (sudo apt-get upgrade) Ubuntu 12.04, I had a pair of packages that would throw the following apt-get install errors for the dbus dependency: dpkg: error processing dbus ...
6
votes
2answers
4k views

How can I make apt-get upgrade the kernel, similarly to aptitude?

Installed new Ubuntu Server 12.04 on Windows Azure After apt-get upgrade, console shows: The following packages have been kept back: linux-image-extra-virtual linux-image-virtual linux-tools ...
1
vote
1answer
206 views

Wrong autocompletion with sudo apt-get

Does anybody know why if I type: apt-get upg<TAB> I get: apt-get upgrade but if I type: sudo apt-get upg<TAB> I get: sudo apt-get upgrade-from-grub-legacy
2
votes
1answer
3k views

packages been kept back

I tried both aptitude -y safe-upgrade and apt-get upgrade -f but in both cases, I get: Reading package lists... Done Building dependency tree Reading state information... Done The following ...
3
votes
2answers
291 views

Installing Wine with aptitude

I'm trying to install Wine on Ubuntu Precise. I'm used to using aptitude for package management, so I tried to use that to install Wine. When I do that, I'm told I have to resolve dependencies that ...
0
votes
0answers
373 views

sudo aptitude upgrade error [duplicate]

i get the following error when trying to upgrade media@media:~$ sudo aptitude upgrade Resolving dependencies... The following NEW packages will be installed: ...
12
votes
3answers
10k views

Why does “tasksel” give an “aptitude failed” error?

The problem started in the following way. I was using tasksel from the terminal menu that it shows when I simply do sudo tasksel. I select Lamp Server from the list and started to install all packages ...
3
votes
0answers
165 views

Rollback instead of completing dpkg-configure -a? [duplicate]

On a new VPS, aptitude dist-upgrade hangs during /usr/sbin/grub. Now, aptitude is in a bad state: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. I ...
1
vote
0answers
21 views

Upgrading only several packages, ou packages from one source [duplicate]

Possible Duplicate: Is there a command to upgrade a package and all its dependencies without upgrading all packages? we use Deb/apt system to deploy PHP softwares (around 200 + libraries ...
3
votes
1answer
3k views

apt lists in /var/lib/apt/lists overwritten with html page for Starbucks wifi terms

I sat down at Starbucks this afternoon to do some work (Ubuntu 12.04 Desktop x64), and got the red-circle-with-white-line error icon in the systray notifying of a package error. Also, apt, aptitude, ...
4
votes
2answers
3k views

How can I remove all build dependencies for a particular package?

When I want to compile something from source in Ubuntu/Debian, I usually get build-dependencies by running "sudo apt-get build-dep PACKAGE_NAME" in the terminal. They are (usually) useless once the ...
3
votes
1answer
484 views

whats the difference between tasksel and normal methods

Recently I have gone through tasksel command usage because of LAMP server setup. Why can't I use apt-get or aptitude there? Why does the Ubuntu wiki page suggest to do it with tasksel only. Is there ...
6
votes
3answers
974 views

How do I install a package with aptitude?

I've looked at an aptitude tutorial and read the man page, but I just don't get it. After you launch aptitude, how do you say "install package foo"? Or search for all packages with "foo" in their ...
0
votes
1answer
235 views

how safe is deb http://debian.nfgd.net/debian unstable main?

How safe is it to install these two packages? root@dur:/home/thufir# root@dur:/home/thufir# tail /etc/apt/sources.list ## This software is not part of Ubuntu, but is offered by third-party ## ...
4
votes
1answer
5k views

Why is apt no longer updating the kernel?

Somehow I got a 12.04 server to stop updating the kernel. It's stuck at 3.2.0-24-generic and doesn't want to fetch any new updates. The new kernel at the moment is 3.2.0-29 apt-get clean && ...
3
votes
1answer
366 views

Show available/installed version in the output of aptitude search

Is it possible to make aptitude show the available/installed version of a package in an output of aptitude search mypackage? I know that I can show the version via aptitude show mypackage, but I want ...
6
votes
2answers
312 views

What is apt and aptitude in Ubuntu?

I've been blindly copy pasting code that contains these keywords to install programs and having migrated from Windows, I don't quite understand what they mean. Can anyone explain them and their ...
5
votes
1answer
9k views

What is “Manual Package Selection” in Ubuntu Server?

What does choosing "Manual Package Selection" allow me to do, versus choosing one of the other options?
5
votes
3answers
1k views

how to uninstall all packages installed by “aptitude build-dep”

Is it possible to undo all changes made by "aptitude build-dep xxxxxx" i.e to un-install all dependencies installed by this command?
3
votes
2answers
399 views

How can I set up aptitude-curses so that it doesn't automatically select *recommended* packages?

When I select a package for installation using aptitude-curses, sometimes a huge list of extra packages appear selected under "Packages being automatically installed to satisfy dependencies". When I ...
3
votes
1answer
4k views

Using sudo aptitude/apt-get update does not work

Trying to update via terminal via aptitude or apt-get is not working. There is no other package management program running in the background or any other user. I tried both, sudo aptitude update ...
13
votes
1answer
7k views

Assign highest priority to my local repository

Summary How can I make apt-get prefer local repository packages instead of downloading again the same package version from official repositories? The local repository is signed and trusted. We've ...
2
votes
1answer
611 views

What's the meaning of “action flag” of a package?

Suppose the flag of a package is "pi". I learnt that the "i" stands for "i - the package will be installed." What's the meaning of "will be installed", please?
1
vote
2answers
2k views

ubuntu-restricted-extras wants to remove over 200 packages. Could this harm the system?

Has anybody installed ubuntu-restricted-extras yet? (You need this for example to encode mp3). When I try to install that, it wants to remove the following packages: # aptitude install ...
1
vote
2answers
459 views

How can I upgrade a package without removing its dependencies?

For some reason (having used xorg-edgers in the past might be part of that), I still have a very old X server installed: xorg 7.6+7ubuntu7.1 xserver-xorg-core 1.10.4-1ubuntu4.2 ...
1
vote
3answers
1k views

apt-get update really slow when i'm at the university

When i'm using my university connection I can't run apt-get update normally as I do at home or any other place. Everything else (that use connection) works properly. I've already tried to change the ...
0
votes
2answers
398 views

Unable to install applications (Oneiric)

When I use the software center to install something, I get the error: An unhandlable error occured There seems to be a programming error in aptdaemon, the software that allows you to ...
2
votes
1answer
1k views

Cannot install packages. “Warning: untrusted versions…” plus “method driver /usr/lib/apt/methods/http could not be found”

Judging from Internet forums, these errors appear to be popular when attempting to install packages: steve:~$ sudo aptitude install examplepackage The following NEW packages will be installed: ...
2
votes
1answer
2k views

Could not open lock file /var/lock/aptitude No such file or directory

For all those who installed aptitude to easily search through apt on ubuntu 11+, upon upgrading to 11.10 I am now receiving this error. [ ERR] Reading state information E: Could not open lock file ...
2
votes
1answer
480 views

Why does aptitude list a package as not installed while dpkg says it is installed?

When I stat on my 11.10 machine aptitude search lightdm I get this: p gir1.2-lightdm-1 - Typelib file for liblightdm-1 p liblightdm-gobject-1-0 - LightDM ...
13
votes
2answers
13k views

aptitude safe-upgrade equivalence with apt-get

Is there an equivalent to doing aptitude safe-upgrade using apt-get?
1
vote
0answers
56 views

How to undo forgetting new packages in aptitude [closed]

Can't remember how many new packages there were before I've choosen that menu item. Does aptitude remember forgotten packages after rerun?
0
votes
3answers
558 views

Get list of recommended packages (suggestions) for touch screen support after apt-get install lxde

I was manually installing X server and lxde on my cellphone's chrooted ubuntu. There were a couple of packages suggested after install related to touchscreen support. I can't remember the name of ...
9
votes
1answer
2k views

Why does aptitude give me the “Does not have Super Cow Powers” error?

When I try to update 11.10 with current updates, I receive this error message stating Does Not Have Super Cow Powers. Why is it not updating with the current security packages?
2
votes
1answer
212 views

Can't remove libreoffice3.5-dict-de package

I just installed the wrong version of LibreOffice (x86 instead of 64bit). So I tried to remove it but I get this error: > aptitude remove libreoffice3.5-dict-de Couldn't find package ...
2
votes
1answer
214 views

Byobu available updates broken on Ubuntu 10.04 LTS? [closed]

I noticed that since release of byobu 5.10 the available updates in the lower bar behaves funny: you issue for example an apt-get update available updates pop out with the #! in the lower bar ...
0
votes
1answer
117 views

aptitude package install error

apt-get install -f gives following Errors were encountered while processing: flashplugin-downloader:i386 flashplugin-installer E: Sub-process /usr/bin/dpkg returned an error code (1) I am unable ...
2
votes
2answers
451 views

How do I find a list of packages with Priority: Required?

I want to find a list of all packages with the Priority: field set to Required. These are packages that are normally installed on every system, however I've recently discovered that they aren't ...
2
votes
2answers
375 views

Uninstalling package unrecognized by aptitude

Some times ago I installed qtikz on my system, but I don't remember if I did it via dpkg -i --force-architecture or directly from source (perhaps via checkinstall). In short, it is not working and I ...